#include <LiquidCrystal_I2C.h>
#include <HomeLab_pH.h>

LiquidCrystal_I2C lcd(0x27, 16, 2);

const byte LED_pin = 13; // LED|button pin number
const byte W1_pin  = 12; // T-sensor (1-wire) pin number
const byte i2c_SCL = 11; // I2C SCL pin number
const byte i2c_SDA = 10; // I2C SDA pin number

byte Tsensor_ID[] = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

HomeLab_pH HoLa(i2c_SCL, i2c_SDA, LED_pin, W1_pin, Tsensor_ID);

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  HoLa.system_INIT();
  Serial.print("serial on");
  
  lcd.begin(16,2);
  lcd.init();
  lcd.backlight();
  lcd.setCursor(0,0);
  lcd.print("LCD Begin");
  delay(1000);
  lcd.clear();

  lcd.setCursor(0,0);
  lcd.print("System Starts");
  delay(1000);
  lcd.clear();
}

void loop() {
  // put your main code here, to run repeatedly:
float temp, volt, Ph;
volt=HoLa.get_voltage();
temp=HoLa.get_temp();
delay(500);
Serial.println(volt);
Serial.println(temp);

lcd.setCursor(0,0);
lcd.print("PH: 6.5");
lcd.setCursor(0,1);
lcd.print("W Temp: " + String(temp) + " C");
delay(1000);

}
